//---------------------------------------------------------------------------


#pragma hdrstop

#include "Pliki.h"

//---------------------------------------------------------------------------

#pragma package(smart_init)

void ZapiszDoPlikuTekstowego(AnsiString nazwaPliku,TStrings* linie)
{
   ofstream plik_wy;plik_wy.open(nazwaPliku.c_str());
   for(int i=0;i<linie->Count;i++) plik_wy << (*linie)[i].c_str() << "\n";
   plik_wy.close();
}

void DopiszDoPlikuTekstowego(AnsiString nazwaPliku,TStrings* linie)
{
   ofstream plik_wy;plik_wy.open(nazwaPliku.c_str(),ios::app);
   for(int i=0;i<linie->Count;i++) plik_wy << (*linie)[i].c_str() << "\n";
   plik_wy.close();
}

TStrings* CzytajZPlikuTekstowego(AnsiString nazwaPliku,TStrings* linie)
{
   ifstream plik_we;plik_we.open(nazwaPliku.c_str());
   for (;plik_we;)
   {
	  const int max_dlg_linii=1024;
	  char linia[max_dlg_linii];
	  plik_we.getline(linia,max_dlg_linii);
	  if (plik_we) linie->Add(linia);
   }
   plik_we.close();
   return linie;
}

char* CzytajZnakiZPlikuTekstowego(AnsiString nazwaPliku,char* znaki,int rozmiar)
{
   ifstream plik_we;plik_we.open(nazwaPliku.c_str());
   for (int i=0;(i<rozmiar) && (plik_we);i++)
   {
	  znaki[i]=plik_we.get();
   }
   plik_we.close();
   return znaki;
}
